#include "iwdg.h"

//函数功能：初始化看门狗
//参数1：预分频值；参数2：重装载值
// 40 * 625 的大概的时间是 1S
//看门狗最大时间是17秒左右
void IWDG_init(u8 prer,u16 ulr)
{
//	RCC_LSICmd(ENABLE);//打开LSI时钟
	IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);
	IWDG_SetPrescaler(prer);
	IWDG_SetReload(ulr);
	IWDG_ReloadCounter();
	IWDG_Enable();
}

//函数功能：喂狗
void IWDG_Feed(void)
{
	IWDG_ReloadCounter();
}


